Bug 165606 - Fedora also needs a PHP7 config file alternative
Summary: Fedora also needs a PHP7 config file alternative
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Gustavo Noronha (kov)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-12-08 09:13 PST by Gustavo Noronha (kov)
Modified: 2016-12-09 09:58 PST (History)
4 users (show)

See Also:


Attachments
Patch (6.96 KB, patch)
2016-12-08 09:15 PST, Gustavo Noronha (kov)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gustavo Noronha (kov) 2016-12-08 09:13:47 PST
Fedora also needs a PHP7 config file alternative
Comment 1 Gustavo Noronha (kov) 2016-12-08 09:15:18 PST
Created attachment 296520 [details]
Patch
Comment 2 Michael Catanzaro 2016-12-08 10:31:32 PST
Comment on attachment 296520 [details]
Patch

But Fedora doesn't have multiple versions of PHP and probably never will, so I would just update the existing config file to work with PHP 7. We don't need to support such old versions of Fedora.
Comment 3 Michael Catanzaro 2016-12-08 10:32:48 PST
Looks like Fedora 23 has PHP 5, but it's about to go EOL in two weeks, so it's not worth supporting it.
Comment 4 Gustavo Noronha (kov) 2016-12-08 11:18:06 PST
AFAIK F24 also has PHP 5, or I would have hit this issue before upgrading to F25 =)
Comment 5 Michael Catanzaro 2016-12-08 11:37:03 PST
Comment on attachment 296520 [details]
Patch

OK
Comment 6 WebKit Commit Bot 2016-12-09 09:58:09 PST
Comment on attachment 296520 [details]
Patch

Clearing flags on attachment: 296520

Committed r209611: <http://trac.webkit.org/changeset/209611>
Comment 7 WebKit Commit Bot 2016-12-09 09:58:13 PST
All reviewed patches have been landed.  Closing bug.